diff -Nur slrn-0.9.7.4pl1/src/art.c slrn-0.9.7.4pl1-patched/src/art.c
--- slrn-0.9.7.4pl1/src/art.c	Mon Aug 26 18:26:45 2002
+++ slrn-0.9.7.4pl1-patched/src/art.c	Sat Aug 31 00:03:34 2002
@@ -148,6 +148,8 @@
 
 int Slrn_Del_Article_Upon_Read = 1;
 
+int Slrn_Usenet_Digest_Forward = 0;
+
 char *Slrn_Current_Group_Name;
 Slrn_Header_Type *Slrn_First_Header;
 Slrn_Header_Type *Slrn_Current_Header;
@@ -2779,6 +2781,7 @@
 static void forward_article (void) /*{{{*/
 {
    char *subject;
+   char *newsgroups;
    Slrn_Article_Line_Type *l;
    FILE *fp;
    char file[256];
@@ -2824,6 +2827,10 @@
      }
 
    subject = slrn_extract_header ("Subject: ", 9);
+   if (subject == NULL) subject = "";
+
+   newsgroups = slrn_extract_header ("Newsgroups: ",12);
+   if (newsgroups == NULL) newsgroups = "";
    
    fprintf (fp, "To: %s\n", to); n = 4;
    
@@ -2834,7 +2841,14 @@
 	fprintf (fp, "From: %s\n", from); n++;
      }
    
-   fprintf (fp, "Subject: Fwd: %s\n", subject == NULL ? "" : subject);
+   if (Slrn_Usenet_Digest_Forward)
+     {
+	fprintf (fp, "Subject: [%s] %s\n", newsgroups, subject);
+     } 
+   else 
+     {
+	fprintf (fp, "Subject: Fwd: %s\n", subject);
+     }
    
    if (0 != *Slrn_User_Info.replyto)
      {
diff -Nur slrn-0.9.7.4pl1/src/art.h slrn-0.9.7.4pl1-patched/src/art.h
--- slrn-0.9.7.4pl1/src/art.h	Sun Jul  7 17:52:56 2002
+++ slrn-0.9.7.4pl1-patched/src/art.h	Sat Aug 31 00:03:34 2002
@@ -61,6 +61,7 @@
 extern int Slrn_Verbatim_Marks_Hidden;
 extern int Slrn_Verbatim_Hidden;
 extern int Slrn_Warn_Followup_To;
+extern int Slrn_Usenet_Digest_Forward;
 
 extern char *Slrn_X_Browser;
 
diff -Nur slrn-0.9.7.4pl1/src/startup.c slrn-0.9.7.4pl1-patched/src/startup.c
--- slrn-0.9.7.4pl1/src/startup.c	Mon Aug 26 17:56:01 2002
+++ slrn-0.9.7.4pl1-patched/src/startup.c	Sat Aug 31 00:03:34 2002
@@ -549,6 +549,7 @@
      {"write_newsrc_flags", &Slrn_Write_Newsrc_Flags},
      {"query_read_group_cutoff", &Slrn_Query_Group_Cutoff},
      {"max_queued_groups", &Slrn_Max_Queued_Groups},
+     {"usenet_digest_forward",&Slrn_Usenet_Digest_Forward},
      {"use_header_numbers", &Slrn_Use_Header_Numbers},
      {"use_localtime", &Slrn_Use_Localtime},
 #if SLRN_HAS_SPOILERS
